| nospace

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Remove whitespace from an ASCII text file

## Description

Removes all whitespace from the input sequence. trimspace replaces all white space with a single space.

## Usage

Here is a sample session with nospace

    % nospace
    Remove whitespace from an ASCII text file
    ASCII text file: seqspace.txt
    ASCII text output file [seqspace.nospace]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Remove whitespace from an ASCII text file
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-infile]            infile     ASCII text file
      [-outfile]           outfile    [*.nospace] ASCII text output file

       Additional (Optional) qualifiers:
       -menu               menu       [all] Remove whitespace (Values: all (all
                                      whitespace); end (trailing whitespace);
                                      excess (multiple whitespace characters))

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-infile] (Parameter 1) | infile | ASCII text file | Input file | Required
[-outfile] (Parameter 2) | outfile | ASCII text output file | Output file | <*>.nospace
Additional (Optional) qualifiers

-menu

list

Remove whitespace

all | (all whitespace)
end | (trailing whitespace)
excess | (multiple whitespace characters)

all

Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

nospace reads any text file.

### Input files for usage example

### File: seqspace.txt

    >X13776
     ggtaccgctg gccgagcatc tgctcgatca ccaccagccg ggcgacggga
     actgcacgat ctacctggcg agcctggagc acgagcgggt tcgcttcgta
     cggcgctgag cgacagtcac aggagaggaa acggatggga tcgcaccagg
     agcggccgct gatcggcctg ctgttctccg aaaccggcgt caccgccgat
     atcgagcgct cgcacgcgta tggcgcattg ctcgcggtcg agcaactgaa
     ccgcgagggc ggcgtcggcg gtcgcccgat cgaaacgctg tcccaggacc
     ccggcggcga cccggaccgc tatcggctgt gcgccgagga cttcattcgc
     aaccgggggg tacggttcct cgtgggctgc tacatgtcgc acacgcgcaa
     ggcggtgatg ccggtggtcg agcgcgccga cgcgctgctc tgctacccga
     ccccctacga gggcttcgag tattcgccga acatcgtcta cggcggtccg
     gcgccgaacc agaacagtgc gccgctggcg gcgtacctga ttcgccacta
     cggcgagcgg gtggtgttca tcggctcgga ctacatctat ccgcgggaaa
     gcaaccatgt gatgcgccac ctgtatcgcc agcacggcgg cacggtgctc
     gaggaaatct acattccgct gtatccctcc gacgacgact tgcagcgcgc
     cgtcgagcgc atctaccagg cgcgcgccga cgtggtcttc tccaccgtgg
     tgggcaccgg caccgccgag ctgtatcgcg ccatcgcccg tcgctacggc
     gacggcaggc ggccgccgat cgccagcctg accaccagcg aggcggaggt
     ggcgaagatg gagagtgacg tggcagaggg gcaggtggtg gtcgcgcctt
     acttctccag catcgatacg cccgccagcc gggccttcgt ccaggcctgc
     catggtttct tcccggagaa cgcgaccatc accgcctggg ccgaggcggc
     ctactggcag accttgttgc tcggccgcgc cgcgcaggcc gcaggcaact
     ggcgggtgga agacgtgcag cggcacctgt acgacatcga catcgacgcg
     ccacaggggc cggtccgggt ggagcgccag aacaaccaca gccgcctgtc
     ttcgcgcatc gcggaaatcg atgcgcgcgg cgtgttccag gtccgctggc
     agtcgcccga accgattcgc cccgaccctt atgtcgtcgt gcataacctc
     gacgactggt ccgccagcat gggcggggga ccgctcccat gagcgccaac
     tcgctgctcg gcagcctgcg cgagttgcag gtgctggtcc tcaacccgcc
     gggggaggtc agcgacgccc tggtcttgca gctgatccgc atcggttgtt
     cggtgcgcca gtgctggccg ccgccggaag ccttcgacgt gccggtggac
     gtggtcttca ccagcatttt ccagaatggc caccacgacg agatcgctgc
     gctgctcgcc gccgggactc cgcgcactac cctggtggcg ctggtggagt
     acgaaagccc cgcggtgctc tcgcagatca tcgagctgga gtgccacggc
     gtgatcaccc agccgctcga tgcccaccgg gtgctgcctg tgctggtatc
     ggcgcggcgc atcagcgagg aaatggcgaa gctgaagcag aagaccgagc
     agctccagga ccgcatcgcc ggccaggccc ggatcaacca ggccaaggtg
     ttgctgatgc agcgccatgg ctgggacgag cgcgaggcgc accagcacct
     gtcgcgggaa gcgatgaagc ggcgcgagcc gatcctgaag atcgctcagg
     agttgctggg aaacgagccg tccgcctgag cgatccgggc cgaccagaac
     aataacaaga ggggtatcgt catcatgctg ggactggttc tgctgtacgt
     tggcgcggtg ctgtttctca atgccgtctg gttgctgggc aagatcagcg
     gtcgggaggt ggcggtgatc aacttcctgg tcggcgtgct gagcgcctgc
     gtcgcgttct acctgatctt ttccgcagca gccgggcagg gctcgctgaa
     ggccggagcg ctgaccctgc tattcgcttt tacctatctg tgggtggccg
     ccaaccagtt cctcgag

## Output file format

nospace rewrites the input file.

### Output files for usage example

### File: seqspace.nospace

    >X13776
    ggtaccgctggccgagcatctgctcgatcaccaccagccgggcgacggga
    actgcacgatctacctggcgagcctggagcacgagcgggttcgcttcgta
    cggcgctgagcgacagtcacaggagaggaaacggatgggatcgcaccagg
    agcggccgctgatcggcctgctgttctccgaaaccggcgtcaccgccgat
    atcgagcgctcgcacgcgtatggcgcattgctcgcggtcgagcaactgaa
    ccgcgagggcggcgtcggcggtcgcccgatcgaaacgctgtcccaggacc
    ccggcggcgacccggaccgctatcggctgtgcgccgaggacttcattcgc
    aaccggggggtacggttcctcgtgggctgctacatgtcgcacacgcgcaa
    ggcggtgatgccggtggtcgagcgcgccgacgcgctgctctgctacccga
    ccccctacgagggcttcgagtattcgccgaacatcgtctacggcggtccg
    gcgccgaaccagaacagtgcgccgctggcggcgtacctgattcgccacta
    cggcgagcgggtggtgttcatcggctcggactacatctatccgcgggaaa
    gcaaccatgtgatgcgccacctgtatcgccagcacggcggcacggtgctc
    gaggaaatctacattccgctgtatccctccgacgacgacttgcagcgcgc
    cgtcgagcgcatctaccaggcgcgcgccgacgtggtcttctccaccgtgg
    tgggcaccggcaccgccgagctgtatcgcgccatcgcccgtcgctacggc
    gacggcaggcggccgccgatcgccagcctgaccaccagcgaggcggaggt
    ggcgaagatggagagtgacgtggcagaggggcaggtggtggtcgcgcctt
    acttctccagcatcgatacgcccgccagccgggccttcgtccaggcctgc
    catggtttcttcccggagaacgcgaccatcaccgcctgggccgaggcggc
    ctactggcagaccttgttgctcggccgcgccgcgcaggccgcaggcaact
    ggcgggtggaagacgtgcagcggcacctgtacgacatcgacatcgacgcg
    ccacaggggccggtccgggtggagcgccagaacaaccacagccgcctgtc
    ttcgcgcatcgcggaaatcgatgcgcgcggcgtgttccaggtccgctggc
    agtcgcccgaaccgattcgccccgacccttatgtcgtcgtgcataacctc
    gacgactggtccgccagcatgggcgggggaccgctcccatgagcgccaac
    tcgctgctcggcagcctgcgcgagttgcaggtgctggtcctcaacccgcc
    gggggaggtcagcgacgccctggtcttgcagctgatccgcatcggttgtt
    cggtgcgccagtgctggccgccgccggaagccttcgacgtgccggtggac
    gtggtcttcaccagcattttccagaatggccaccacgacgagatcgctgc
    gctgctcgccgccgggactccgcgcactaccctggtggcgctggtggagt
    acgaaagccccgcggtgctctcgcagatcatcgagctggagtgccacggc
    gtgatcacccagccgctcgatgcccaccgggtgctgcctgtgctggtatc
    ggcgcggcgcatcagcgaggaaatggcgaagctgaagcagaagaccgagc
    agctccaggaccgcatcgccggccaggcccggatcaaccaggccaaggtg
    ttgctgatgcagcgccatggctgggacgagcgcgaggcgcaccagcacct
    gtcgcgggaagcgatgaagcggcgcgagccgatcctgaagatcgctcagg
    agttgctgggaaacgagccgtccgcctgagcgatccgggccgaccagaac
    aataacaagaggggtatcgtcatcatgctgggactggttctgctgtacgt
    tggcgcggtgctgtttctcaatgccgtctggttgctgggcaagatcagcg
    gtcgggaggtggcggtgatcaacttcctggtcggcgtgctgagcgcctgc
    gtcgcgttctacctgatcttttccgcagcagccgggcagggctcgctgaa
    ggccggagcgctgaccctgctattcgcttttacctatctgtgggtggccg
    ccaaccagttcctcgag

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Read and write alignments
aligncopypair | Read and write pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Remove a section from a sequence
degapseq | Remove non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieve sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Read and write a feature table
featmerge | Merge two overlapping feature tables
featreport | Read and write a feature table
feattext | Return a feature table original text
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Mask all ambiguity characters in nucleotide sequences with N
maskambigprot | Mask all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
nthseqset | Read and write (return) one set of sequences from many
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqcount | Read and count sequences
seqret | Read and write (return) sequences
seqretsetall | Read and write (return) many sets of sequences
seqretsplit | Read sequences and write them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Read and write (return) sequences, skipping first few
splitsource | Split sequence(s) into original source sequences
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Remove vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None